Subject: [PATCH] sdhci-s3c: fix incorrect spinlock usage after merge

From: [email-masked] (Andrew Morton)
Date: Mon, 20 Sep 2010 18:29:12 -0700

On Tue, 21 Sep 2010 02:17:11 +0100 Chris Ball <[email-masked]> wrote:

> On Mon, Sep 20, 2010 at 03:03:42PM +0200, Marek Szyprowski wrote:
> > In the commit f522886e202a34a2191dd5d471b3c4d46410a9a0 a merge conflict
> > in the sdhci-s3c driver been fixed. However the fix used incorrect
> > spinlock operation - it cause a race with sdhci interrupt service. The
> > correct way to solve it is to use spin_lock_irqsave/irqrestore() calls.
> 
> Thanks, applied to mmc-next with:
> Signed-off-by: Chris Ball <[email-masked]>
> 
> Andrew, not sure how best to get this upstream -- do you want to send
> this up to Linus (for -rc5) via your queue in -mm?

Ordinarily I'd expect you to send it to Linus.

I tend to merge important-looking bugfixes in my tree in case
maintainers lose them (happens regularly).  I'll then start spamming
the maintainer with the patch.  If the maintainer remains dead then I
might merge it myself, or I might tag it for -stable backporting and
try again in the next kernel.  

If the maintainer can't be bothered setting up a pull request then he
can just send an acked-by and explicitly ask me to merge it up and
I'll then add it to my next approximately-weekly Linus patchbombing.